--[[ TasteTest by MrInfernal  v0.9

Destroys the Jester's poisoned bread and wine

]]

---@type Mq
local mq = require('mq')

local open = true

local function tasteStop()
    mq.unbind('tastestop')
    mq.unevent('wine')
    mq.unevent('bread')

    open = false
end

local function pourWine()
    mq.cmd('/timed 2 /multiline ; /timed 2 /squelch /if (${Cursor.ID} == 64047) /destroy; /echo The jester has given you \arpoisoned \axwine!')

    mq.cmd('/timed 5 /if (${CWTN.Paused} = FALSE) /${Me.Class.ShortName} pause on')

    for i=1, mq.TLO.Me.NumBagSlots() do
        local pack = 'pack' .. i
        local found = false
        
        if not found then
            for j=1, mq.TLO.Me.Inventory(pack).Container() do
                if mq.TLO.Me.Inventory(pack).Item(j).ID() == 64047 then
                    mq.cmdf('/timed 8 /itemnotify in %s %d leftmouseup', pack, j)
                    found = true
                    mq.cmdf('/timed 13 /squelch /if (${Cursor.ID} == 64047) /destroy')
                end
            end
        end
    end
    mq.cmd('/timed 20 /if (${CWTN.Paused} = TRUE) /${Me.Class.ShortName} pause off')
end

local function crumbleBread()
    mq.cmd('/timed 2 /multiline ; /timed 2 /squelch /if (${Cursor.ID} == 64047) /destroy; /echo The jester has given you \arpoisoned \axbread!')

    mq.cmd('/timed 5 /if (${CWTN.Paused} = FALSE) /${Me.Class.ShortName} pause on')

    for i=1, mq.TLO.Me.NumBagSlots() do
        local pack = 'pack' .. i
        local found = false
        
        if not found then
            for j=1, mq.TLO.Me.Inventory(pack).Container() do
                if mq.TLO.Me.Inventory(pack).Item(j).ID() == 64045 then
                    mq.cmdf('/timed 8 /itemnotify in %s %d leftmouseup', pack, j)
                    found = true
                    mq.cmdf('/timed 13 /squelch /if (${Cursor.ID} == 64045) /destroy')
                end
            end
        end
    end
    mq.cmd('/timed 20 /if (${CWTN} == CWTN) /if (${CWTN.Paused} = TRUE) /${Me.Class.ShortName} pause off')
end

mq.event('wine', '#*#How about a little wine to quench your thirst?#*#', pourWine)
mq.event('bread', '#*#Try a bite of my tasty bread. I make it myself.#*#', crumbleBread)
mq.bind('/tastestop', tasteStop)

print('\agTasteTest \ax by \arMrInfernal')
print('Tests the Jester\'s bread and wine for poison and destroys them')
print('End with \ao/tastestop')

while open do
    mq.doevents()
    mq.delay(1000)
end